### Method

# Gio DBusInterfaceSkeleton flush

since: 2.30

#### Declaration [src]

    void
    g_dbus_interface_skeleton_flush (
      GDBusInterfaceSkeleton* interface_
    )

#### Description [src]

If `interface_` has outstanding changes, request for these changes to be emitted immediately.

For example, an exported D-Bus interface may queue up property changes and emit the `org.freedesktop.DBus.Properties.PropertiesChanged` signal later (e.g. in an idle handler). This technique is useful for collapsing multiple property changes into one.

Available since: 2.30